﻿<?xml version="1.0" encoding="utf-8"?>
<configuration>
  <configSections>
    <!-- For more information on Entity Framework configuration, visit http://go.microsoft.com/fwlink/?LinkID=237468 -->
    <section name="entityFramework" type="System.Data.Entity.Internal.ConfigFile.EntityFrameworkSection, EntityFramework, Version=6.0.0.0, Culture=neutral, PublicKeyToken=b77a5c561934e089" requirePermission="false" />
  </configSections>

  <runtime>
    <assemblyBinding xmlns="urn:schemas-microsoft-com:asm.v1">
      <dependentAssembly>
        <assemblyIdentity name="AutoMapper" publicKeyToken="be96cd2c38ef1005" culture="neutral" />
        <bindingRedirect oldVersion="0.0.0.0-3.2.1.0" newVersion="3.3.0.0" />
      </dependentAssembly>
    </assemblyBinding>
  </runtime>
  <entityFramework>
    <defaultConnectionFactory type="System.Data.Entity.Infrastructure.SqlConnectionFactory, EntityFramework" />
    <providers>
      <provider invariantName="System.Data.SqlClient" type="System.Data.Entity.SqlServer.SqlProviderServices, EntityFramework.SqlServer" />
    </providers>
  </entityFramework>
<connectionStrings>
  <!--<add name="DefaultConnection" providerName="System.Data.SqlClient" connectionString="Data Source=10.0.0.6;Initial Catalog=APositiveDB;user id=sandbox;pwd=vinove;MultipleActiveResultSets=True" />-->

  <!--<add name="EmDbContext" connectionString="metadata=res://*/EnergyMissionModel.csdl|res://*/EnergyMissionModel.ssdl|res://*/EnergyMissionModel.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=10.0.0.6;initial catalog=APositiveDB;user id=sandbox;password=vinove;multipleactiveresultsets=True;App=EntityFramework&quot;" providerName="System.Data.EntityClient" />-->

<add name="EmDbContext" connectionString="metadata=res://*/EnergyModel.csdl|res://*/EnergyModel.ssdl|res://*/EnergyModel.msl;provider=System.Data.SqlClient;provider connection string=&quot;data source=10.0.0.6;initial catalog=APositiveDB;user id=sandbox;password=vinove;multipleactiveresultsets=True;application name=EntityFramework&quot;" providerName="System.Data.EntityClient" /></connectionStrings></configuration>